package com.dev.swms.server.model.fee;
import java.util.Date;
import java.util.Set;

import com.dev.energy.server.model.Entity;
import com.dev.swms.server.model.base.Structure;
/**
 * 开票
 * @author 44700
 *
 */
public class ApplyBill extends Entity {

	private Structure customer;//所属客户
	
	private Date invoiceDate;//开票时间
	
	private String invoiceNo;//发票号
	
	/**** 开票项目1-5***/
	private String  project1;
	private String  project2;
	private String  project3;
	private String  project4;
	private String  project5;
	
	private String code;//代码
	
	private String company;//所属开票公司
	
	/**** 开票金额1-5***/
	private double  amount1;
	private double  amount2;
	private double  amount3;
	private double  amount4;
	private double  amount5;
	
	private String status;//状态
	
	private double applyMoney;//申请金额
	
	private String applicant;//申请人
	
	private Date applicationTime;//申请时间
	
	private double taxPoint;//税点
	
	private double invoicedPrice=0;//已开票金额
	
	private double turnover;//营业额
	
	private String voucherNo;//凭证号
	
	private Set<ApplyBillDetail> detail;//开票明细
	
	private Set<BillFee> billFee;//对账明细
	
	
	
	public Set<BillFee> getBillFee() {
		return billFee;
	}

	public void setBillFee(Set<BillFee> billFee) {
		this.billFee = billFee;
	}

	public Set<ApplyBillDetail> getDetail() {
		return detail;
	}

	public void setDetail(Set<ApplyBillDetail> detail) {
		this.detail = detail;
	}

	public Structure getCustomer() {
		return customer;
	}

	public void setCustomer(Structure customer) {
		this.customer = customer;
	}

	public Date getInvoiceDate() {
		return invoiceDate;
	}

	public void setInvoiceDate(Date invoiceDate) {
		this.invoiceDate = invoiceDate;
	}

	public String getInvoiceNo() {
		return invoiceNo;
	}

	public void setInvoiceNo(String invoiceNo) {
		this.invoiceNo = invoiceNo;
	}

	public String getProject1() {
		return project1;
	}

	public void setProject1(String project1) {
		this.project1 = project1;
	}

	public String getProject2() {
		return project2;
	}

	public void setProject2(String project2) {
		this.project2 = project2;
	}

	public String getProject3() {
		return project3;
	}

	public void setProject3(String project3) {
		this.project3 = project3;
	}

	public String getProject4() {
		return project4;
	}

	public void setProject4(String project4) {
		this.project4 = project4;
	}

	public String getProject5() {
		return project5;
	}

	public void setProject5(String project5) {
		this.project5 = project5;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getCompany() {
		return company;
	}

	public void setCompany(String company) {
		this.company = company;
	}

	public double getAmount1() {
		return amount1;
	}

	public void setAmount1(double amount1) {
		this.amount1 = amount1;
	}

	public double getAmount2() {
		return amount2;
	}

	public void setAmount2(double amount2) {
		this.amount2 = amount2;
	}

	public double getAmount3() {
		return amount3;
	}

	public void setAmount3(double amount3) {
		this.amount3 = amount3;
	}

	public double getAmount4() {
		return amount4;
	}

	public void setAmount4(double amount4) {
		this.amount4 = amount4;
	}

	public double getAmount5() {
		return amount5;
	}

	public void setAmount5(double amount5) {
		this.amount5 = amount5;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public double getApplyMoney() {
		return applyMoney;
	}

	public void setApplyMoney(double applyMoney) {
		this.applyMoney = applyMoney;
	}

	public String getApplicant() {
		return applicant;
	}

	public void setApplicant(String applicant) {
		this.applicant = applicant;
	}

	public Date getApplicationTime() {
		return applicationTime;
	}

	public void setApplicationTime(Date applicationTime) {
		this.applicationTime = applicationTime;
	}

	public double getTaxPoint() {
		return taxPoint;
	}

	public void setTaxPoint(double taxPoint) {
		this.taxPoint = taxPoint;
	}

	public double getInvoicedPrice() {
		return invoicedPrice;
	}

	public void setInvoicedPrice(double invoicedPrice) {
		this.invoicedPrice = invoicedPrice;
	}

	public double getTurnover() {
		return turnover;
	}

	public void setTurnover(double turnover) {
		this.turnover = turnover;
	}

	public String getVoucherNo() {
		return voucherNo;
	}

	public void setVoucherNo(String voucherNo) {
		this.voucherNo = voucherNo;
	}
	
	
	
}
